<template>
  <div class="collection">
    <div class="commodity-box">
      <div class="commodity">
        <div class="select weui-cells_checkbox">
          <label class="weui-cell weui-check__label padding-0" for="s11">
            <div class="weui-cell__hd">
              <input type="checkbox" class="weui-check" name="checkbox1" id="s11" checked="checked">
              <i class="weui-icon-checked"></i>
            </div>
          </label>
        </div>
        <div style="position: relative;margin-left: 40px;">
          <div class="img">
            <img src="@/assets/images/detail.png" alt="">
          </div>
          <div class="detail">
            <p class="name">Cache韩版打底衫女短款时尚休闲动物图案短袖印花T恤女圆领Cache韩版打底衫女短款时尚休闲动物图案短袖印花T恤女圆领</p>
            <p class="money">￥ 349</p>
          </div>
        </div>
      </div>
      <div class="commodity">
        <div class="select weui-cells_checkbox">
          <label class="weui-cell weui-check__label padding-0" for="s12">
            <div class="weui-cell__hd">
              <input type="checkbox" class="weui-check" name="checkbox1" id="s12" checked="checked">
              <i class="weui-icon-checked"></i>
            </div>
          </label>
        </div>
        <div style="position: relative;margin-left: 40px;">
          <div class="img">
            <img src="@/assets/images/detail.png" alt="">
          </div>
          <div class="detail">
            <p class="name">Cache韩版打底衫</p>
            <p class="money">￥ 349</p>
          </div>
        </div>
      </div>
    </div>
    <div class="weui-tabbar">
      <span class="tabbar-left move">
        <div class="weui-cells_checkbox">
          <input type="checkbox" class="weui-check" name="weui-select" id="weui-select-id-画画" value="1" data-title="画画">
          <span class="weui-icon-checked"></span>
          <span>全选</span>
        </div>
      </span>
      <span class="tabbar-middle move">
        <p class="tabbar-label-right">加入购物车</p>
      </span>
      <span class="tabbar-right" @click="openconfirm()">
        <p class="tabbar-label-right">删除</p>
      </span>
    </div>
  </div>
</template>

<script>
import {dict} from '../store/dictionary'
export default {
  name: 'collection',
  components: {},
  data () {
    return {
      dict: dict,
      isshopping: true
    }
  },
  methods: {
    jumpBack () {
      this.$router.back(-1)
    },
    jumpSearch () {
      this.$router.push({name: 'login', params: {view: 'home'}})
    },
    edit () {
      this.isshopping = !this.isshopping
    }
  },
  mounted: function () {

  }
}
</script>

<style scoped>
.weui-check__label:active {
  background: #ffffff;
}
.weui-tabbar {
  position: fixed;
  height: 40px;
  line-height: 40px;
}
.tabbar-left {
  position: relative;
  left: 10px;
  width: 30%;
  font-size: 16px;
  text-align: left;
  color: #000000;
}
.tabbar-middle {
  width: 45%;
  font-size: 16px;
  text-align: right;
}
.tabbar-left.move {
  width: 45%;
  font-size: 16px;
}
.tabbar-middle.move {
  width: 30%;
  text-align: center;
  color: #ffffff;
  background: -webkit-linear-gradient(left,#FF9305, #FFCA03); /* Safari 5.1 - 6.0 */
  background: -o-linear-gradient(right, #FF9305, #FFCA03); /* Opera 11.1 - 12.0 */
  background: -moz-linear-gradient(right, #FF9305, #FFCA03); /* Firefox 3.6 - 15 */
  background: linear-gradient(right, #FF9305, #FFCA03); /* 标准的语法 */
}
.tabbar-middle p {
  padding-right: 10px;
}
.tabbar-right {
  width: 25%;
  font-size: 16px;
  text-align: center;
  padding-top: 4px;
}
.tabbar-large-item p {
  padding: 5px 0px;
}
.weui-tabbar__icon{
  width: 20px;
  height: 20px;
}
.weui-tabbar__icon img{
  width: 20px;
  height: 20px;
  vertical-align: bottom;
}
.tabbar-right {
  color: #ffffff;
  background: -webkit-linear-gradient(left,#FF0F3E, #FF592E); /* Safari 5.1 - 6.0 */
  background: -o-linear-gradient(right, #FF0F3E, #FF592E); /* Opera 11.1 - 12.0 */
  background: -moz-linear-gradient(right, #FF0F3E, #FF592E); /* Firefox 3.6 - 15 */
  background: linear-gradient(right, #FF0F3E, #FF592E); /* 标准的语法 */
}
.commodity-box {
  padding-bottom: 40px;
}
.commodity {
  position: relative;
  padding: 15px 10px 10px;
  border-bottom: 1px solid #eeeeee;
}
.commodity .select {
  position: absolute;
  top: 35%;
}
.commodity .img {
  display: inline-block;
  width: 28%;
}
.commodity .img img {
  width: 100%;
  display: table-cell;
  border-radius: 3px;
}
.commodity .detail {
  position: absolute;
  width: 70%;
  height: 100%;
  left: 30%;
  top: 0px;
}
.commodity .detail p {
  font-size: 13px;
}
.commodity .detail .name {
  width: 95%;
  /* height: 70%; */
  /* min-height: 30%; */
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
}
.commodity .detail .selected {
  color: #bcbcbc;
}
.weui-cells_checkbox .weui-check:checked + .weui-icon-checked:before {
  color: #EE0907;
}
.money {
  position: absolute;
  bottom: 0px;
  color: red;
  font-size: 16px;
}
</style>
